Je suis sur Ubuntu 22.04 Gnome avec la version AMC 1.6.0 du dépôt ppa:alexis.bienvenue/amc et j'ai un 
soucis avec la lecture des barcodes : 

Après avoir traité mes scans et corrigé l'épreuve, je lance l'export des notes. J'utilise le champ nom pour lire 
les barcodes et le paramètre champnom=barcode est bien sélectionné dans les préférences du projet.

Tant que je ne change pas le paramètre champnom=barcode en autre chose (et donc relance la lecture du 
champ nom), les barcodes ne sont pas lus et n'apparaissent pas dans l'export.

Je mets un lien vers une petite vidéo qui sera plus parlante :
https://uncloud.univ-nantes.fr/index.php/s/2W7wmHXJbTPq5Nq

Merci par avance pour vos lumières !

History
03/13/2023 05:51 pm - Frédéric Bréal
Dans la documentation, j'ai écrit qu'il fallait faire une identification automatique après le changement de type de champs.
L'avez-vous fait ?

Je n'ai jamais utilisé cette option en dehors de tests pour la documentation. Il faut télécharger un paquet de lecture de code-barre aussi qui n'est pas 
fourni avec AMC mais j'ai oublié son nom. 

03/13/2023 09:49 pm - Jean-Baptiste BUTEAUD
Bonsoir,

> Dans la documentation, j'ai écrit qu'il fallait faire une identification automatique après le changement de type de champs.
> L'avez-vous fait ?"

Je n'ai pas bien compris ce que vous voulez dire. Le type du champnom est défini dans mon cas à la création du projet sur barcode. Lorsque barcode 
ou barcode-tail sont sélectionnés, la lecture des codes barre n'est pas faite automatiquement lors de la saisie ou de la correction ou de l'export. 
Actuellement il faut retourner sur le paramètre et le changer (de barcode à barcode-tail ou de barcode-tail à barcode) pour "forcer" la lecture. Cela 
serait bien que cela se fasse automatiquement justement.

> Je n'ai jamais utilisé cette option en dehors de tests pour la documentation. Il faut télécharger un paquet de lecture de code-barre aussi qui n'est pas 
fourni avec AMC mais j'ai oublié son nom.

Il faut installer le paquet zbar-tools pour que cela fonctionne. Le paquet est bien installé et fonctionnel.

En vous remerciant

03/14/2023 05:45 pm - Frédéric Bréal
Il faut relancer l’identification des étudiants. 

03/14/2023 06:20 pm - Jean-Baptiste BUTEAUD
Bonjour,

> Il faut relancer l’identification des étudiants.

Je ne lance jamais l'identification des étudiants puisque je ne lève pas leur anonymat. Cette étape est facultative pour générer l'export comme pour 
obtenir les informations de \AMCcodeGridInt qui sont bien exportées dans le fichier ods par défaut.

En vous remerciant,

03/14/2023 07:33 pm - Frédéric Bréal
D'accord, il va falloir que je refasse des tests pour modifier la documentation.
Pourriez-vous  joindre votre en-tête de copie  (tex ou image) et un exemple de code-barre ?
Merci.

03/16/2023 12:19 am - Jean-Baptiste BUTEAUD
Bonjour,

Je vais vous envoyer les informations (sujets+quelques copies) mais puis-je le faire directement sur votre mail (gcarpeaux@yahoo.fr) car je ne souhaite 
pas rendre public les contenus ?

De plus, après un certain nombre d'essais, il semble que ce problème soit lié à celui-ci https://project.auto-multiple-choice.net/issues/873

En vous remerciant,

03/16/2023 05:31 pm - Frédéric Bréal
Oui, c'est mon adresse spéciale forum.

03/17/2023 08:57 pm - Frédéric Bréal
Je viens de faire un test rapide et cela fonctionne.
* Création d'un code barre (https://barcode.tec-it.com/fr/) identique.
* Transformation du pdf en images (pdftoppm puis mogrify -format jpg)
* Ajout du code barre via inkscape.
* Correction automatique puis modification du champnom.
* Export. 
* Avec votre fichier copie, AMC ne détecte rien.

Les marges sont différentes entre votre DOC-sujet et copie.

Je vous envoie la fichier annoté corrigé par messagerie.

03/18/2023 06:01 pm - Frédéric Bréal
Je viens de faire un test manuel et création de code-barres et j'ai le même problème que vous. AMC ne détecte pas les codes.
J'ai simplement pris votre préambule et un sujet source. Je joins le lien avec le fichier complet et débogage pour Alexis. https://vu.fr/AuEv
Rien à voir avec votre souci mais dans votre sujet les questions dépassent de la colonne. Je vous conseille de charger le paquet soul et remplacer 
@\underline@ par @\ul@ et supprimer les @\hspace@

03/21/2023 11:43 am - Alexis Bienvenüe
- File name-1.jpg added

- File name-1_b.jpg added
L'image du code barre extrait par AMC comprend des lignes verticales très proches du code qui perturbent visiblement @zbarimg@ :
!name-1.jpg!
Si on efface ces lignes, cale fonctionne mieux :
!name-1_b.jpg!
<pre>
> zbarimg name-1_b.jpg 
CODE-39:1473F
scanned 1 barcode symbols from 1 images in 0,03 seconds
</pre>
Pouvez-vous essayer en mettant plus d'espace blanc à gauche et à droite de vos codes barre ?
Ou si vous trouver un logiciel autre que @zbarimg@ qui détecte mieux les codes barres, on peut aussi essayer…

03/21/2023 09:11 pm - Frédéric Bréal
- File codebarreODS.png added

- File erreur_code_barre.png added

J'ai refait mes codes barres (pst-barcode), qui étaient initialement encadrés par fbox, puis découpé,  j'ai enlevé la fbox de champnom.
Trois codes sur 4 sont reconnus. Je referai un code barre plus grand avec le dernier (1885-BOHR). Par contre, je ne peux pas associer les copies. La 
seule identifiée l'est manuellement.
Je referai un débogage.

03/23/2023 04:08 pm - Frédéric Bréal
J'ai refait un test avec une plus grande longueur du dernier code barre (1885-BOHR) mais il n'est pas non plus reconnu.

04/25/2023 10:31 am - Alexis Bienvenüe
Pouvez-vous joindre les fichiers name-XX.jpg ?

04/26/2023 09:06 pm - Frédéric Bréal
- File AMC-erreur.png added

Je viens de modifier manuellement le fichier Main.pm mais j'ai toujours le problème d'avertissement d'AMC sur l'absence d'AMCcodegrid.
Mon projet est nouveau.
En-tête du fichier modèle légèrement remanié.
<pre>
\begin{minipage}{.4\linewidth}\fboxrule=0pt
\centering\large\bf Test\\ Examen du 01/01/2008\end{minipage}
\champnom{\fbox{
                \begin{minipage}[t][3cm]{.5\linewidth}
                  Nom et prénom :

                  \vspace*{.5cm}\namefielddots
                  \vspace*{1mm}
                \end{minipage}
         }}
</pre>

Je ne sais pas dans quelle direction chercher. J'ai bien zbar-tools installé (version AMC 1.6.0+git20230418142735 et xubuntu 22)

04/26/2023 09:10 pm - Frédéric Bréal
Ma liste csv est 
<pre>
nom,prenom,code
Avogadro,Amedeo,AVOGRADO
Bohr,Niels,1885-BOHR
Copernic,Nicolas,D3CM-07-3017
Einstein,Albert,1879
</pre>

04/27/2023 08:12 am - Frédéric Bréal
- File name.zip added

Mes fichiers après avoir éliminé les bandes noires.
Je tenterai une numérisation avec la photocopieuse de mon collège.

04/28/2023 06:40 pm - Frédéric Bréal
Je viens de faire un essai avec la nouvelle version et j'ai ajouté AMCcodegrid. Les codes-barres ont été reconnus.
Je ne comprends pas pourquoi il faut mettre un code en plus du code-barre. Je pensais que le code-barre permettait d'éviter d'inscrire un nom (une 
sorte d'anonymat).

05/13/2023 11:51 pm - Jean-Baptiste BUTEAUD
Bonjour,

Je viens d'essayer la dernière version 1.6.0+git20230425120755-1, c'est top, les bug 873 et 874 sont bien résolus :
- Plus de problème de refresh après le traitement des scans
- Plus besoin de forcer la relecture des codes barre pour qu'ils soient lus et présents dans l'export

Encore merci pour la correction !

06/05/2025 08:35 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100
